pdumodel::EDevice Interface Reference

Common base interface for any kind of electrical device that is used in the PDU model, such as inlets, OCPs and outlets. More...

`import"EDevice.idl";`

Inheritance diagram for pdumodel::EDevice:

## Public Member Functions

vector< EDevice > | getParents ()
| Get the list of devices that provide energy to this device. More...
vector< EDevice > | getChildren ()
| Get the list of devices that are directly fed by this device. More...

## Detailed Description

Common base interface for any kind of electrical device that is used in the PDU model, such as inlets, OCPs and outlets.

EDevices form a hierarchy of parent-child relationships. An EDevice is defined to be the parent of another if it "provides energy" to the latter. E.g. an inlet could be the parent of a number of OCPs, wires or outlets.

An EDevice can have multiple parents, e.g. in case of transfer switches which select power from multiple sources.

## Member Function Documentation

## getChildren()

vector<EDevice> pdumodel::EDevice::getChildren | ( |  | ) |

Get the list of devices that are directly fed by this device.

Returns
  List of child devices

## getParents()

vector<EDevice> pdumodel::EDevice::getParents | ( |  | ) |

Get the list of devices that provide energy to this device.

Returns
  List of parent devices

The documentation for this interface was generated from the following file:

- pdu-json-rpc-api/idl/EDevice.idl